﻿.inner-object .model {
    margin-top: 20px;
}

    .inner-object .model tr {
        margin-top: 20px;
    }

.model-box {
    width: 100% !important;
}

.model-container > .model-box > span:first-child {
    float: left !important;
}

.model-container > .model-box > span:nth-child(2) {
    top: 3px !important;
    position: relative !important;
}

.model td {
    height: 25px !important;
}

.swagger-ui .prop-format {
    color: #275b90 !important;
}

.swagger-ui .prop-type {
    color: #275b90 !important;
}

.model-container > span.model-box > div > span > span > span:nth-child(1) > span {
    top: 0px;
}

/*Alttaki Models bölümündeki subList*/
.model-container > span.model-box > div > span > span > span.inner-object > table > tbody > tr > td:nth-child(2) > span > span > span:nth-child(2) > span > span > span:nth-child(1) > span {
    color: #165290;
    font-size: 14px;
    top: 2px;
}

/*Operations'daki subList*/
.opblock > div:nth-child(2) > div > div.opblock-section > div.table-container > table > tbody > tr:nth-child(1) > td.col.parameters-col_description > div > div > div > span > span > span.inner-object > table > tbody > tr > td:nth-child(2) > span > span > span:nth-child(2) > span > span > span:nth-child(1) > span {
    color: #165290;
    font-size: 14px;
    top: 2px;
}

/*Operations'daki sol td*/
.opblock > div:nth-child(2) > div > div.opblock-section > div.table-container > table > thead > tr > th.col.col_header.parameters-col_name {
    width: 420px;
    max-width: 420px;
}

/*Version Dropdown'ı*/
.swagger-ui .topbar .download-url-wrapper .select-label select {
    flex: 0 !important;
    width: 100px;
}

/*Https Dropdwon'ı*/
#swagger-ui > section > div.swagger-ui > div:nth-child(2) > div:nth-child(2) > div > section > label > select {
    border: 1px solid #41444e !important;
    outline: 0px;
    margin-top: 5px;
}

.swagger-ui .scheme-container {
    padding-bottom: 15px !important;
}

/*Title'daki Versiyon*/
/*#swagger-ui > section > div.swagger-ui > div:nth-child(2) > div.information-container.wrapper > section > div > div > hgroup > h2 > small > pre {
    padding: 3px;
    font-size: 11px;
}*/

/*Operation Summary*/
.opblock-summary-description {
    text-align: right !important;
    padding-right: 10px !important;
    font-size: 14px !important;
}

.opblock {
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
}

    /*Curl*/
    .opblock > div:nth-child(2) > div > div.responses-wrapper > div.responses-inner > div > div > div:nth-child(1) {
        display: none;
    }


/*-----------------------------------------------------------------*/

.topbar-wrapper {
    position: relative;
    /*max-width: 600px !important;*/
}

.download-url-wrapper {
    right: 0px !important;
    position: absolute !important;
}


.swagger-ui .topbar {
    /* padding: 12px 0 !important; */
    background-color: #efefef !important;
    border-bottom: solid 1px #cecece;
}

    .swagger-ui .topbar a span {
        color: #3f4040 !important;
        font-size: 15px !important;
        top: -2px !important;
        position: relative !important;
    }


    .swagger-ui .topbar .download-url-wrapper .select-label select {
        border: solid 1px #797979 !important;
    }

select {
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    border: solid 1px #797979 !important;
}

.swagger-ui .info .title {
    font-size: 26px !important;
}

.swagger-ui .info {
    margin: 30px 0 !important;
}

.opblock-tag-section > div {
    padding: 10px !important;
    padding-top: 5px !important;
}

.swagger-ui .scheme-container {
    background: #fafafa;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
}

.models {
    display: none !important;
}

.opblock-tag {
    font-size: 20px !important;
}

.swagger-ui .opblock-tag {
    background-color: #efefef !important;
    border-radius: 5px;
    border: solid 1px #bbbbbb;
    margin-bottom: 10px !important;
}

.expand-operation {
    margin-top: 5px !important;
}

.opblock.opblock-post {
    background: rgb(243, 243, 243) !important;
    border-color: #cac3c3 !important;
}

.opblock.opblock-put {
    background: rgb(243, 243, 243) !important;
    border-color: #cac3c3 !important;
}

.opblock.opblock-patch {
    background: rgb(243, 243, 243) !important;
    border-color: #cac3c3 !important;
}

.opblock.opblock-delete {
    background: rgb(243, 243, 243) !important;
    border-color: #cac3c3 !important;
}

.opblock.opblock-get {
    background: rgb(243, 243, 243) !important;
    border-color: #cac3c3 !important;
}

.opblock-description-wrapper {
    padding-bottom: 0px !important;
    padding-top: 25px !important;
}

#swagger-ui > section > div.topbar > div > div > a {
    display: none;
}

#swagger-ui > section > div.topbar > div > div > form > label {
    display: none;
}

.response-col_status {
    width: 250px;
}

.topbar-wrapper #select {
    width: 80px;
}

/* Title altındaki link */
#swagger-ui > section > div.swagger-ui > div:nth-child(2) > div.information-container.wrapper > section > div > div > hgroup > a > span {
    display: none;
}

/* RESPONSES */

.response-col_description__inner > div.renderedMarkdown {
    background: #ebeaea !important;
    border: solid 1px #bebebe !important;
}

    .response-col_description__inner > div.renderedMarkdown > p {
        font-style: normal !important;
        font-size: 15px !important;
        font-family: calibri !important;
        font-weight: 600 !important;
        color: #4a4a4a !important;
    }

.response-col_description {
    font-size: 14px !important;
}

/*.custom-substatuscodes {
    margin-left: -10px !important;
    margin-top: -10px !important;
}*/

.try-out__btn {
    border: solid 1px #444 !important;
    color: #444 !important;
}

.body-param-options {
    margin-top: 20px !important;
}

.swagger-ui .opblock.opblock-post .opblock-summary {
    border-color: #ccc !important;
}

.swagger-ui .opblock.opblock-put .opblock-summary {
    border-color: #ccc !important;
}

.swagger-ui .opblock.opblock-patch .opblock-summary {
    border-color: #ccc !important;
}

.swagger-ui .opblock.opblock-delete .opblock-summary {
    border-color: #ccc !important;
}

.swagger-ui .opblock.opblock-get .opblock-summary {
    border-color: #ccc !important;
}

.body-param__example-edit {
    border: solid 1.5px !important;
}

textarea {
    outline: 0px !important;
    border: 0px !important;
}

div.responses-wrapper > div.responses-inner > div > div > div:nth-child(2) {
    display: none !important;
}

div.responses-wrapper > div.responses-inner > div > h4,
div.responses-wrapper > div.responses-inner > div > div > h4 {
    display: none !important;
}

div.responses-wrapper > div.responses-inner > div > div > table {
    margin-bottom: 40px !important;
}

.responses-inner h5 {
    margin-bottom: 15px !important;
    margin-top: 15px !important;
    color: #ef3b3b !important;
}

div.responses-inner > div > div > table > tbody > tr > td.col.response-col_description > div:nth-child(3) > h5 {
    margin-bottom: 15px !important;
    margin-top: 15px !important;
    color: #ef3b3b !important;
}

.swagger-ui .download-contents {
    padding-top: 7px !important;
    padding-left: 10px !important;
    padding-right: 10px !important;
    width: initial !important;
}

.microlight {
    background: #ebeaea !important;
    border: solid 1px #bebebe !important;
}

.swagger-ui .opblock-body pre span {
    font-size: 13.5px !important;
}

.swagger-ui .opblock-body pre span {
    color: #444 !important;
    font-weight: normal !important;
}

.swagger-ui .model-box {
    background: #ebeaea !important;
    border: solid 1px #bebebe !important;
    border-radius: 0px !important;
}

.swagger-ui .info .title small {
    background: #efefef !important;
    border: solid 1px !important;
}

    .swagger-ui .info .title small pre {
        color: #696969 !important;
    }

.swagger-ui .opblock .opblock-summary-method {
    padding-top: 8px !important;
    width: 80px !important;
}

.swagger-ui .opblock .opblock-summary-path {
    margin-top: 1px !important;
}

.swagger-ui .opblock .opblock-summary-description {
    margin-top: 1px !important;
}

.opblock > div > div > div.responses-wrapper > div.responses-inner > div > div > table > tbody > tr > td.col.response-col_description > div > pre {
    background-color: #ebeaea;
    border-radius: 5px;
}

.opblock > div > div > div.opblock-section > div.table-container > table > tbody > tr > td.col.parameters-col_description > div {
    margin-top: 0px;
    margin-bottom: 0px;
}

/*Get'lerdeki description için*/
/*.opblock > div > div > div.opblock-section > div.table-container > table > tbody > tr > td.col.parameters-col_description > .markdown > p:last-child {
    display: none;
}*/

input::placeholder {
    color: #fff;
    font-size: 0px;
}

.operationPermission {
    margin-bottom: 10px;
}

.permissionText {
    top: -5px;
    position: relative;
    left: 10px;
    font-size: 13px;
    font-weight: bold;
}

.opblock-tag small .renderedMarkdown > p {
    display: none;
}

.wrapper:nth-child(4) {
    display: none !important;
}

.opblock .parameters tr > td {
    padding-bottom: 20px !important;
}

.opblock .parameters select {
    margin-top: 5px;
}

.swagger-ui .opblock-body pre {
    color: #444 !important;
}

/*------------------------------------------------------------------------------*/
/*OPEN API 3.0 CHANGES*/
/*------------------------------------------------------------------------------*/

/*TOOLTIP*/
td.parameters-col_description > .renderedMarkdown > p > span {
    background-color: #0089ff;
    color: #fff;
    padding-left: 4px;
    padding-top: 1px;
    border-radius: 10px;
    padding-right: 5px;
    text-align: center;
    width: 15px;
    height: 15px;
    float: left;
    margin-right: 5px;
    font-size: 12px;
    font-weight: bold;
    font-family: arial;
}

td.parameters-col_description > .renderedMarkdown > p:first-of-type {
    margin-block-start: 0 !important;
    margin-block-end: 0 !important;
}


td.parameters-col_description > .renderedMarkdown > p:last-of-type {
    display: none;
}


/*----------*/
/*OLD REPLACE TEMP*/

.renderedMarkdown > p {
    display: contents;
}

.renderedMarkdown {
    margin-top: 7px;
}

/*ROW BORDER*/
.swagger-ui table tbody tr {
    border-top: solid 1px #f3f3f3;
}

    .swagger-ui table tbody tr:first-of-type td:first-of-type {
        padding-top: 20px;
    }

    .swagger-ui table tbody tr:first-of-type td:last-of-type {
        padding-top: 14px;
    }


/*RESPONSE*/

.swagger-ui table.responses-table tbody tr td {
    padding: 10px 0 0 !important;
    vertical-align: top;
}

/*Remove Link Td*/
.swagger-ui table.responses-table > thead > tr > td:last-of-type {
    display: none;
}

.swagger-ui table.responses-table > tbody > tr > td:last-of-type {
    display: none;
}


.swagger-ui table.responses-table section.response-controls {
    display: none;
}

.swagger-ui table.responses-table div.model-example {
    display: none;
}

table.responses-table tr.response[data-code="200"] .model-example {
    display: block !important;
}


.swagger-ui table.response tbody tr:first-of-type td:first-of-type {
    padding-top: 23px;
}

.swagger-ui table.responses-table tbody tr td:first-of-type {
    padding-top: 23px !important;
}


/*422*/

.swagger-ui table.responses-table div.renderedMarkdown table {
    margin-left: -10px !important;
    margin-top: -10px !important;
    font-size: 15px;
}

    .swagger-ui table.responses-table div.renderedMarkdown table > tbody > tr:first-of-type {
        border-bottom: solid 1px #b7b7b7;
    }

    .swagger-ui table.responses-table div.renderedMarkdown table > tbody > tr:first-of-type {
        border-bottom: solid 1px #b7b7b7;
    }

        .swagger-ui table.responses-table div.renderedMarkdown table > tbody > tr:first-of-type > td {
            color: #e62929;
            padding-top: 8px !important;
            padding-bottom: 8px !important;
            padding-left: 10px !important;
        }

    .swagger-ui table.responses-table div.renderedMarkdown table > tbody > tr > td {
        color: #444;
        padding-top: 8px !important;
        padding-left: 10px !important;
    }

    .swagger-ui table.responses-table div.renderedMarkdown table > tbody > tr {
        border-top: 0px !important;
    }



table.live-responses-table > thead > td {
    display: block !important;
}

table.live-responses-table > tbody > td {
    display: block !important;
}

div.copy-to-clipboard {
    display: none !important;
}

table.model tr.property-row {
    border-top: 0px;
}

/*Close Schema Tab Menu*/
div.model-example > ul > li:last-of-type {
    display: none;
}

.swagger-ui .tab li:first-of-type:after {
    background: none;
}
/*---------------------*/

.swagger-ui .opblock-description-wrapper, .swagger-ui .opblock-external-docs-wrapper, .swagger-ui .opblock-title_normal {
    padding-top: 0px !important;
}

.opblock-section-request-body .body-param {
    margin-top: 17px;
}

.swagger-ui textarea {
    font-size: 13px !important;
}

.swagger-ui .scheme-container {
    padding: 0px;
    display: none;
}

.scheme-container .servers {
    margin-top: 4px;
}

.scheme-container select {
    border: 1px solid #797979 !important;
    outline: 0px;
}


.swagger-ui table.live-responses-table > thead > tr > td:last-of-type {
    display: block;
}

.swagger-ui table.live-responses-table > tbody > tr > td:last-of-type {
    display: block;
}

.swagger-ui .download-contents {
    margin-right: 16px;
}

.swagger-ui .scheme-container .schemes {
    position: relative;
}

a.exportAsHtmlButton {
    color: #4a4a4a;
    position: absolute;
    right: 20px;
    background-color: #f7f7f7;
    border: solid 1px #797979;
    padding: 6px 8px;
    padding-top: 7px;
    font-size: 12px;
    border-radius: 3px;
    text-decoration: none;
    letter-spacing: 0.5px;
}
